## weka 3.5.7+tut1

=== wekadocs/explorerguide/Makefile ===
# Generates PS, PDF and HTML
#
# FracPete, 2005-10-04

NAME=guide

all: ps pdf html

ps:
	@echo "Generating $@..."
	latex $(NAME).tex
	latex $(NAME).tex
	dvips -o $(NAME).ps $(NAME).dvi

pdf:	ps
	@echo "Generating $@..."
	ps2pdf $(NAME).ps $(NAME).pdf

html:
	@echo "Generating $@..."
	latex2html $(NAME)

clean:
	@echo "Cleaning up..."
	rm -f $(NAME).aux
	rm -f $(NAME).bbl
	rm -f $(NAME).blg
	rm -f $(NAME).dvi
	rm -f $(NAME).log
	rm -f $(NAME).toc
	rm -f $(NAME).ps
	rm -f $(NAME).pdf
	rm -fR $(NAME)
	rm -f *~

## weka 3.6.0

=== debian/changelog ===
weka (3.6.0-3) unstable; urgency=low

  * Bump Standards-Version to 3.8.4 (no changes required).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Track only stable releases in watch file.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 23 Apr 2010 22:33:11 +0200

weka (3.6.0-2) unstable; urgency=low

  * Change Maintainer: Debian Java Maintainers.
  * Update Standards-Version: 3.8.2 (no changes).

 -- Torsten Werner <twerner@debian.org>  Mon, 29 Jun 2009 22:02:28 +0200

weka (3.6.0-1) unstable; urgency=low

  * New (stable) upstream version.
  * Update copyright and patches to reflect upstream changes.
  * Build single .pdf document.
  * Add ${misc:Depends} to weka-doc dependencies to fix lintian warning.

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 25 Dec 2008 11:53:48 +0100

weka (3.5.8+cup1-2) unstable; urgency=low

  * Add versioned cup to dependencies (Closes: #504897).
  * Explicitly require openjdk-6-jdk in build dependencies.
  * Require 256m to allow successful building of javadocs.

 -- Soeren Sonnenburg <sonne@debian.org>  Mon, 24 Nov 2008 10:06:45 +0100

weka (3.5.8+cup1-1) unstable; urgency=low

  [ Torsten Werner ]
  * Update Section field in doc-base file.
  * Add Class-Path attribute to jar file.

  [ Soeren Sonnenburg ]
  * Update my email address to sonne@debian.org.
  * Update copyright.
  * Remove build, java cup and jflex from orig.tar.gz.
  * Add cup and jflex as build dependency.
  * Patch weka source to use cup from debian.
  * Patch weka shell wrapper to use java-6-sun or openjdk.
  * Obtain documentation from svn.
  * Build depend on texlive-latex-extra (required to generate documentation).
  * Add javadoc as build target.
  * Use java-wrappers to start weka.

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 30 Oct 2008 06:42:46 +0100

weka (3.5.8-1) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * Bump Standards Version to 3.8.0.
  * Remove references to non-free Java in debian/copyright.

  [ Torsten Werner ]
  * new upstream release
  * Switch to openjdk-6.
  * Move package to main.

 -- Torsten Werner <twerner@debian.org>  Sun, 10 Aug 2008 21:27:05 +0200

weka (3.5.7+tut1-1) unstable; urgency=low

  * Updated weka script to support calling other main classes,
    add jvm memory option and allow specific gui.
  * Update manpage for weka script, documenting the new options.
  * Fetch tutorial sources from public svn, generate them dynamically on build
    and include generated .pdfs in doc-base.

 -- Soeren Sonnenburg <debian@nn7.de>  Sun, 24 Feb 2008 09:18:45 +0100

weka (3.5.7-2) unstable; urgency=low

  * Change Architecture: all for the weka package.

 -- Torsten Werner <twerner@debian.org>  Wed, 19 Dec 2007 23:45:17 +0100

weka (3.5.7-1) unstable; urgency=low

  * Initial Release (Closes: #435930)

 -- Soeren Sonnenburg <debian@nn7.de>  Wed, 19 Dec 2007 19:50:51 +0100

=== debian/control ===
Source: weka
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Soeren Sonnenburg <sonne@debian.org>,
 Torsten Werner <twerner@debian.org>
Build-Depends: cdbs, debhelper (>= 5), openjdk-6-jdk, ant,
  texlive-latex-base, texlive-latex-extra, ghostscript,
  jflex, cup (>=0.11a+20060608)
Standards-Version: 3.8.4
Section: science
Homepage: http://www.cs.waikato.ac.nz/~ml/weka/
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/weka
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/weka/

Package: weka
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, openjdk-6-jre | sun-java6-jre,
 java-wrappers, cup (>=0.11a+20060608)
Description: Machine learning algorithms for data mining tasks
 Weka is a collection of machine learning algorithms in Java that can
 either be used from the command-line, or called from your own Java
 code. Weka is also ideally suited for developing new machine learning
 schemes.
 .
 Implemented schemes cover decision tree inducers, rule learners, model
 tree generators, support vector machines, locally weighted regression,
 instance-based learning, bagging, boosting, and stacking. Also included
 are clustering methods, and an association rule learner. Apart from
 actual learning schemes, Weka also contains a large variety of tools
 that can be used for pre-processing datasets.
 .
 This package contains the binaries and examples.

Package: weka-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: weka
Section: doc
Description: Machine learning algorithms for data mining tasks
 Weka is a collection of machine learning algorithms in Java that can
 either be used from the command-line, or called from your own Java
 code. Weka is also ideally suited for developing new machine learning
 schemes.
 .
 Implemented schemes cover decision tree inducers, rule learners, model
 tree generators, support vector machines, locally weighted regression,
 instance-based learning, bagging, boosting, and stacking. Also included
 are clustering methods, and an association rule learner. Apart from
 actual learning schemes, Weka also contains a large variety of tools
 that can be used for pre-processing datasets.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

DEB_COMPRESS_EXCLUDE := .pdf
JAVA_HOME_DIRS       := /usr/lib/jvm/java-6-openjdk
DEB_ANT_BUILDFILE    := build.xml
DEB_ANT_BUILD_TARGET := exejar docs
DEB_JARS             := cup JFlex

install/weka::
	install -m644 -D dist/weka.jar debian/weka/usr/share/java/weka-$(DEB_UPSTREAM_VERSION).jar
	dh_link -pweka /usr/share/java/weka-$(DEB_UPSTREAM_VERSION).jar /usr/share/java/weka.jar

build/weka-doc:: debian/stamp-build-weka-doc
debian/stamp-build-weka-doc:
	( cd wekadocs/manual && \
	latex manual.tex ; latex manual.tex ; latex manual.tex ; \
	dvipdf manual.dvi )
	touch $@

install/weka-doc:: debian/stamp-install-weka-doc
debian/stamp-install-weka-doc:
	#main overview page
	install -m755 -d debian/weka-doc/usr/share/doc/weka-doc
	install -m644 documentation.css documentation.html weka.gif -t debian/weka-doc/usr/share/doc/weka-doc/
	#javadoc
	cp -r doc debian/weka-doc/usr/share/doc/weka-doc/
	#pdf's
	install -m644 wekadocs/manual/manual.pdf debian/weka-doc/usr/share/doc/weka-doc/WekaManual.pdf
	touch $@

get-orig-source:
	-uscan --rename --upstream-version 0
	@echo successfully retrieved upstream tarball

## weka 3.6.6

=== debian/changelog ===
weka (3.6.6-1) unstable; urgency=low

  * Team upload.
  * New upstream version (Closes: #649734)
  * Update rules and build-deps for default-jdk and default-jre.

 -- tony mancill <tmancill@debian.org>  Thu, 24 Nov 2011 12:35:17 -0800

weka (3.6.5-1) unstable; urgency=low

  * Team upload.
  * New upstream version (Closes: #632082, #598400)
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Freshen jar.patch; remove java_cup.patch (incorporated upstream)
  * Add README.source to document process of obtaining .png resources.
  * Add myself to Uploaders.

 -- tony mancill <tmancill@debian.org>  Fri, 05 Aug 2011 22:40:50 -0700

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Soeren Sonnenburg <sonne@debian.org>,
- Torsten Werner <twerner@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), openjdk-6-jdk, ant,
+ Torsten Werner <twerner@debian.org>,
+ tony mancill <tmancill@debian.org>
+Build-Depends: cdbs, debhelper (>= 5), default-jdk, ant,
   texlive-latex-base, texlive-latex-extra, ghostscript,
   jflex, cup (>=0.11a+20060608)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Section: science
 Homepage: http://www.cs.waikato.ac.nz/~ml/weka/
 Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/weka
@@ -14,7 +15,8 @@
 
 Package: weka
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, openjdk-6-jre | sun-java6-jre,
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ default-jre | openjdk-6-jre | sun-java6-jre,
  java-wrappers, cup (>=0.11a+20060608)
 Description: Machine learning algorithms for data mining tasks
  Weka is a collection of machine learning algorithms in Java that can

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/class/ant.mk
 
 DEB_COMPRESS_EXCLUDE := .pdf
-JAVA_HOME_DIRS       := /usr/lib/jvm/java-6-openjdk
+JAVA_HOME_DIRS       := /usr/lib/jvm/default-java
 DEB_ANT_BUILDFILE    := build.xml
 DEB_ANT_BUILD_TARGET := exejar docs
 DEB_JARS             := cup JFlex
@@ -32,5 +32,5 @@
 	touch $@
 
 get-orig-source:
-	-uscan --rename --upstream-version 0
+	-uscan --rename --upstream-version 5
 	@echo successfully retrieved upstream tarball

## weka 3.6.10

=== debian/changelog ===
weka (3.6.10-2) unstable; urgency=low

  * Add libsvm-java to Suggests and to find_jars in weka launcher.
  * Update launcher to look for openjdk7 first.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- tony mancill <tmancill@debian.org>  Wed, 04 Dec 2013 21:52:58 -0800

weka (3.6.10-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4.
  * Update Vcs fields to use canoncal URLs.
  * Update debian/compat and debhelper version to 9.
  * Update Java runtime dependencies.

 -- tony mancill <tmancill@debian.org>  Mon, 02 Sep 2013 16:35:59 -0700

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Uploaders: Soeren Sonnenburg <sonne@debian.org>,
  Torsten Werner <twerner@debian.org>,
  tony mancill <tmancill@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), default-jdk, ant,
+Build-Depends: cdbs, debhelper (>= 9), default-jdk, ant,
   texlive-latex-base, texlive-latex-extra, ghostscript,
   jflex, cup (>=0.11a+20060608)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Section: science
 Homepage: http://www.cs.waikato.ac.nz/~ml/weka/
-Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/weka
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/weka/
+Vcs-Git: git://anonscm.debian.org/pkg-java/weka.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/weka.git
 
 Package: weka
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
- default-jre | openjdk-6-jre | sun-java6-jre,
+ default-jre | java7-runtime | java6-runtime,
  java-wrappers, cup (>=0.11a+20060608)
+Suggests: libsvm-java
 Description: Machine learning algorithms for data mining tasks
  Weka is a collection of machine learning algorithms in Java that can
  either be used from the command-line, or called from your own Java

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,9 @@
 	install -m644 wekadocs/manual/manual.pdf debian/weka-doc/usr/share/doc/weka-doc/WekaManual.pdf
 	touch $@
 
+cleanbuilddir::
+	rm -f wekaexamples.zip.cdbs-config_list
+
 get-orig-source:
-	-uscan --rename --upstream-version 5
+	-uscan --rename --force
 	@echo successfully retrieved upstream tarball

## weka 3.6.11

=== debian/changelog ===
weka (3.6.11-1) unstable; urgency=medium

  * New upstream release.
  * Update wrapper script to work with any java6-runtime.

 -- tony mancill <tmancill@debian.org>  Sat, 03 May 2014 15:49:06 -0700

## weka 3.6.12

=== debian/changelog ===
weka (3.6.12-2) unstable; urgency=medium

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Sun, 26 Apr 2015 09:55:27 -0700

weka (3.6.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- tony mancill <tmancill@debian.org>  Sun, 15 Mar 2015 19:12:22 -0700

## weka 3.6.13

=== debian/changelog ===
weka (3.6.13-1) unstable; urgency=medium

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Tue, 13 Oct 2015 22:15:21 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cdbs, debhelper (>= 9), default-jdk, ant,
   texlive-latex-base, texlive-latex-extra, ghostscript,
   jflex, cup (>=0.11a+20060608)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: science
 Homepage: http://www.cs.waikato.ac.nz/~ml/weka/
 Vcs-Git: git://anonscm.debian.org/pkg-java/weka.git

=== debian/rules ===
--- 
+++ 
@@ -35,5 +35,5 @@
 	rm -f wekaexamples.zip.cdbs-config_list
 
 get-orig-source:
-	-uscan --rename --force
+	-uscan --force --verbose --no-symlink
 	@echo successfully retrieved upstream tarball

## weka 3.6.14

=== debian/changelog ===
weka (3.6.14-4) unstable; urgency=medium

  * Team upload.
  [ Vladimir Petko ]
  * d/p/set_compiler_release.patch, d/rules: use  java_compat_level
    variable provided by java-common to adjust -release level
    (Closes: #1053086)

  [ tony mancill ]
  * Update Homepage URL
  * Fix FTBFS twice in a row (Closes: #1046193)
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 03 Dec 2023 23:16:40 -0800

weka (3.6.14-3) unstable; urgency=medium

  * Team Upload.
  * Add d/salsa-ci.yml
  * d/p/reproducible.patch: Remove date from doc to
    make build reproducible (Closes: #986642)
  * Fix pdf docbase name

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 16:44:20 +0530

weka (3.6.14-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 17 (Closes: #981828)
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Feb 2021 15:20:21 +0100

weka (3.6.14-1) unstable; urgency=medium

  * New upstream version.
  * Tweak weka-doc package description.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Use HTTPS for Vcs URLs.

 -- tony mancill <tmancill@debian.org>  Sun, 07 Aug 2016 19:29:59 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,33 @@
 Source: weka
+Section: science
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Soeren Sonnenburg <sonne@debian.org>,
+Uploaders:
  Torsten Werner <twerner@debian.org>,
  tony mancill <tmancill@debian.org>
-Build-Depends: cdbs, debhelper (>= 9), default-jdk, ant,
-  texlive-latex-base, texlive-latex-extra, ghostscript,
-  jflex, cup (>=0.11a+20060608)
-Standards-Version: 3.9.6
-Section: science
-Homepage: http://www.cs.waikato.ac.nz/~ml/weka/
-Vcs-Git: git://anonscm.debian.org/pkg-java/weka.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/weka.git
+Build-Depends:
+ ant,
+ cup (>=0.11a+20060608),
+ debhelper-compat (= 13),
+ default-jdk,
+ ghostscript,
+ jflex,
+ texlive-latex-base,
+ texlive-latex-extra
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/java-team/weka.git
+Vcs-Browser: https://salsa.debian.org/java-team/weka
+Homepage: https://www.cs.waikato.ac.nz/~ml/weka/
+Rules-Requires-Root: no
 
 Package: weka
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends:
+ cup (>=0.11a+20060608),
  default-jre | java7-runtime | java6-runtime,
- java-wrappers, cup (>=0.11a+20060608)
+ java-wrappers,
+ ${misc:Depends},
+ ${shlibs:Depends}
 Suggests: libsvm-java
 Description: Machine learning algorithms for data mining tasks
  Weka is a collection of machine learning algorithms in Java that can
@@ -39,7 +49,7 @@
 Depends: ${misc:Depends}
 Recommends: weka
 Section: doc
-Description: Machine learning algorithms for data mining tasks
+Description: documentation for the Weka machine learning suite
  Weka is a collection of machine learning algorithms in Java that can
  either be used from the command-line, or called from your own Java
  code. Weka is also ideally suited for developing new machine learning

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/java/java_defaults.mk
export JAVA_COMPAT_LEVEL=$(java_compat_level)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- exejar docs

	( cd wekadocs/manual && \
	latex manual.tex ; latex manual.tex ; latex manual.tex ; \
	dvipdf manual.dvi )

override_dh_auto_install:
	install -m644 -D dist/weka.jar debian/weka/usr/share/java/weka-$(DEB_VERSION_UPSTREAM).jar
	dh_link -pweka /usr/share/java/weka-$(DEB_VERSION_UPSTREAM).jar /usr/share/java/weka.jar

	#main overview page
	install -m755 -d debian/weka-doc/usr/share/doc/weka-doc
	install -m644 documentation.css documentation.html weka.gif -t debian/weka-doc/usr/share/doc/weka-doc/

	#javadoc
	cp -r doc debian/weka-doc/usr/share/doc/weka-doc/

	#pdf's
	install -m644 wekadocs/manual/manual.pdf debian/weka-doc/usr/share/doc/weka-doc/WekaManual.pdf

override_dh_auto_clean:
	rm -f wekadocs/manual/manual.aux
	rm -f wekadocs/manual/manual.dvi
	rm -f wekadocs/manual/manual.log
	rm -f wekadocs/manual/manual.out
	rm -f wekadocs/manual/manual.pdf
	rm -f wekadocs/manual/manual.toc
	dh_auto_clean
